Name: x11-xtrans-devel
Summary:  Abstract network code for X
Version: 1.3.5
Release: %mkrel 1
Group: Development/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.xz
Conflicts: libxorg-x11-devel < 7.0
Obsoletes: 	%{name} < %version

%description
Abstract network code for X

%prep
%setup -q -n xtrans-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm %{buildroot}%_datadir/doc/xtrans/xtrans.*

%clean
rm -rf %{buildroot}

%pre 
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files
%defattr(-,root,root)
%doc doc/xtrans.xml
%{_datadir}/pkgconfig/xtrans.pc
%{_datadir}/aclocal/xtrans.m4
%{_includedir}/X11/Xtrans/Xtransint.h
%{_includedir}/X11/Xtrans/Xtrans.h
%{_includedir}/X11/Xtrans/Xtrans.c
%{_includedir}/X11/Xtrans/Xtranslcl.c
%{_includedir}/X11/Xtrans/Xtranssock.c
%{_includedir}/X11/Xtrans/Xtransutil.c
%{_includedir}/X11/Xtrans/transport.c


%changelog
* Thu Oct 29 2015 bb <bb> 1.3.5-1pclos2015
- update

* Tue Jul 22 2014 bb <bb> 1.3.4-1pclos2014
- update

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.2.7-1pclos2013
- 1.2.7

* Tue May 31 2011 Texstar <texstar at gmail.com> 1.2.6-2pclos2011
- rebuild

* Fri May 13 2011 Texstar <texstar at gmail.com> 1.2.6-1pclos2011
- update for new xorg server

